Bug 112304 - FILEOPEN DOCX: background Watermark rendered on foreground
Summary: FILEOPEN DOCX: background Watermark rendered on foreground
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks:
 
Reported: 2017-09-09 20:46 UTC by Luke
Modified: 2017-09-12 18:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2017-09-09 20:46:28 UTC
Steps to reproduce:
1. In LO 5.4 Open attachment 81700 [details]
2. In LO 6.0 Open attachment 81700 [details]

Note the text is blocked by the watermark in 6.0. If you use the navigator to select the image and send it to the background, it will render properly like 5.4. 

Version: 5.5.0.0.alpha0+ (x64)
Build ID: 4e547d147d6df7042db58bfa3060140c849493f4
GOOD

Version: 6.0.0.0.alpha0+ (x64)
Build ID: 829b73b1e9cb4ed11feeff428220a39f3b666214
BAD
Comment 1 Xisco Faulí 2017-09-09 23:18:27 UTC
Regression introduced by:

author	Szymon Kłos <szymon.klos@collabora.com>	2017-08-18 13:13:52 (GMT)
committer	Szymon Kłos <szymon.klos@collabora.com>	2017-08-24 16:18:47 (GMT)
commit	39c08074a286855dd014ce1c30b8f7ef95b10242 (patch)
tree	4fb6572e39d95e7407012a8f113054d3a300878e
parent	ab8b8fb183067fd0bded089f513b614d35138e18 (diff)
Watermark: not visible if page background was set
Watermark was drawn under the page background.
It has to be placed on the upper layer to be visible.

Bisected with bibisect-linux64-6.0

Adding Cc: to Szymon Kłos
Comment 2 Commit Notification 2017-09-11 10:08:58 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=653e49371444e5ae48b1570e85822577fb8fd147

tdf#112304 Revert "Watermark: not visible if page background was set"

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.